<?php
session_start();
require_once('config.php');
require_once('dbutils.php');
require_once('locationfuncs.php');
require_once('externaldbfuncs.php');

$masterdb = new GenericSqliteTable("var/master.db","master");
$ids = $masterdb->GetKeys();

//Find marker locations and external links
$bestlocs = array();
$bestosm = array();
$count = 0;
$countOsm = 0;
$countLocated = 0;
foreach($ids as $id)
{
	$ret = GetBestLocation($id);
	$bestlocs[$id] = $ret;
	$ret = GetBestOsmLink($id);
	$bestosm[$id] = $ret;
	//print_r($bestlocs[$id]);

	//Determine marker status
	$located = 0;
	$presentOsm = 0;
	$rough = $bestlocs[$id][1];
	if(!$rough)
	{
		$countLocated ++;
	}
	if($bestosm[$id][0] != Null)
		$countOsm ++;
	$count++;
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License

Name       : Tomatoes
Description: A two-column, fixed-width design for 1024x768 screen resolutions.
Version    : 1.0
Released   : 20110301

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo GetConfigOption('overallTitle').", ".GetConfigOption('subTitle');?></title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<link href="style.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>
<div id="wrapper">
	<div id="header">
		<div id="menu">
			<ul>
				<?php $pageCatExplore = 1;
				require('topbar.php'); ?>
			</ul>
		</div>
		<!-- end #menu -->
	</div>
	<div id="logo">
		<h1><a href="#"><?php echo GetConfigOption('overallTitle');?></a></h1>
		<p><em><?php echo GetConfigOption('subTitle');?></em></p>
	</div>
	<hr />
	<!-- end #logo -->
	<div id="page">
		<div id="page-bgtop">
			<div id="content">
				<div class="post">
					<h2 class="title"><a href="#">Coverage</a></h2>
					<div class="entry">
					<h3>Located accurately on this system: <?php echo $countLocated; ?> of <?php echo $count; ?> (<?php printf("%.2f",100.*$countLocated/$count); ?> &#37;)</h3>
					<p><img src="http://chart.apis.google.com/chart?chs=200x100&cht=gom&chd=t:<?php printf("%.2f",100.*$countLocated/$count); ?>" height="100px" width="200px" alt="Progress Graphic"/></p>
					<h3>Linked to OSM object: <?php echo $countOsm; ?> of <?php echo $count; ?> (<?php echo $count; ?> (<?php printf("%.2f",100.*$countOsm/$count); ?> &#37;)</h3>
					<p><img src="http://chart.apis.google.com/chart?chs=200x100&cht=gom&chd=t:<?php printf("%.2f",100.*$countOsm/$count); ?>" height="100px" width="200px" alt="Progress Graphic"/></p>
					</div>
				</div>
			</div>

			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<?php require('sidebar.php'); ?>

				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>
		</div>
	</div>
	<!-- end #page -->
	<div id="footer">

<?php
	require_once('footer.php');
?>
	</div>
	<!-- end #footer -->
</div>
</body>
</html>

